dolfinx-scaling-test(1)

NAME
dolfinx-scaling-test - solvers for testing the parallel performance of DOLFIN-X

DESCRIPTION

This command runs solvers for testing the parallel performance of DOLFIN-X and the underlying linear solvers. It tests elliptic equations - Poisson equation and elasticity - in three dimensions.

  Allowed options:

-h [ --help ]
    print usage message

--problem_type arg (=poisson) problem (poisson or elasticity)

--mesh_type arg (=cube)
    mesh (cube or unstructured)

--scaling_type arg (=weak)
    scaling (weak or strong)

--output arg
    output directory (no output unless this is set)

--ndofs arg (=50000)
    number of degrees of freedom